org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table

## Interface Column

All Known Subinterfaces:
  FeatureColumn, SourceColumn, ValueColumn

    public interface Column

A representation of the model object 'Column'.

The following features are supported:

- `Width`

See Also:
  `TablePackage.getColumn()`
Generated:
Model:
  abstract="true"

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getWidth()` Returns the value of the 'Width' attribute.
`void` `setWidth(int value)` Sets the value of the '`Width`' attribute.

### Method Detail

#### getWidth

    int getWidth()

Returns the value of the 'Width' attribute. The default value is `"-1"`.

If the meaning of the 'Width' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Width' attribute.
See Also:
  `setWidth(int)`, `TablePackage.getColumn_Width()`
Generated:
Model:
  default="-1"

#### setWidth

    void setWidth(int value)

Sets the value of the '`Width`' attribute.

Parameters:
  `value` - the new value of the 'Width' attribute.
See Also:
  `getWidth()`
Generated: